Name:		lv2
Version:	1.14.0
Release:	%mkrel 1
Summary:	Audio Plugin Standard
Group:		System/Libraries
# lv2specgen template.html is CC-AT-SA
License:	ISC License (ISC)
URL:		http://lv2plug.in
Source0:	http://lv2plug.in/spec/lv2-%{version}.tar.bz2

BuildRequires:	pkgconfig(sndfile) >= 1.0.0
BuildRequires:	python
BuildRequires:	python-rdflib
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(cairo)

%description
LV2 is a standard for plugins and matching host applications, mainly
targeted at audio processing and generation.

There are a large number of open source and free software synthesis
packages in use or development at this time. This API ('LV2') attempts
to give programmers the ability to write simple 'plugin' audio
processors in C/C++ and link them dynamically ('plug') into a range of
these packages ('hosts').  It should be possible for any host and any
plugin to communicate completely through this interface.

LV2 is a successor to LADSPA, created to address the limitations of
LADSPA which many hosts have outgrown.

%package	devel
Summary:	API for the LV2 Audio Plugin Standard
Group:		Development/C

Requires:	%{name} = %{version}-%{release}

%description	devel
lv2-devel contains the lv2.h header file and headers for all of the
LV2 specification extensions and bundles.

Definitive technical documentation on LV2 plug-ins for both the host
and plug-in is contained within copious comments within the lv2.h
header file.

%prep
%setup -q

%build
./waf configure -vv \
    --prefix=%{_prefix} \
    --lv2dir=%{_libdir}/%{name} \
    --libdir=%{_libdir} \
    --debug 
    
./waf -vv %{?_smp_mflags}

%install
DESTDIR=%{buildroot} ./waf -vv install

%files
%doc COPYING
%exclude %{_libdir}/%{name}/*/*.[ch]
%{_libdir}/%{name}/
%{_bindir}/lv2specgen.py
%{_datadir}/lv2specgen/*

%files devel
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_libdir}/%{name}/*/*.[hc]
%{_libdir}/pkgconfig/lv2core.pc
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.14.0-1.mga6
+ Revision: 1079374
- 1.14.0

* Mon Feb 15 2016 umeabot <umeabot> 1.12.0-2.mga6
+ Revision: 961301
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 barjac <barjac> 1.12.0-1.mga6
+ Revision: 894696
- new version 1.12.0
- dont build docs and remove BRs for that
- build debuginfo package

* Tue Oct 20 2015 daviddavid <daviddavid> 1.10.0-4.mga6
+ Revision: 893001
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 745699
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-2.mga5
+ Revision: 682055
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 1.10.0-1.mga5
+ Revision: 669681
- new version 1.10.0

* Thu May 08 2014 barjac <barjac> 1.8.0-1.mga5
+ Revision: 621133
- new version 1.8.0.

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 533088
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 barjac <barjac> 1.6.0-1.mga4
+ Revision: 471427
- new version 1.6.0

* Fri Jun 21 2013 philippedidier <philippedidier> 1.4.0-1.mga4
+ Revision: 445308
- correct license -correct source permissions
- new version 1.4.0

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 359143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 1.2.0-1.mga3
+ Revision: 321464
- new version
- Import from Mandriva

